aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorBill Nottingham <notting@redhat.com>2000-08-14 05:04:17 +0000
committerBill Nottingham <notting@redhat.com>2000-08-14 05:04:17 +0000
commita59f7136d495474f6079a323a491ce314a636c37 (patch)
tree156e2ca2841f3471038c786e5d808a2f29ad4bbd
parent0e12930a45fb238093d0d5b21a8d78e79624f67c (diff)
downloadinitscripts-a59f7136d495474f6079a323a491ce314a636c37.tar
initscripts-a59f7136d495474f6079a323a491ce314a636c37.tar.gz
initscripts-a59f7136d495474f6079a323a491ce314a636c37.tar.bz2
initscripts-a59f7136d495474f6079a323a491ce314a636c37.tar.xz
initscripts-a59f7136d495474f6079a323a491ce314a636c37.zip
do case-insensitve greps of /proc/cmdline
-rwxr-xr-xrc.d/rc.sysinit8
1 files changed, 4 insertions, 4 deletions
diff --git a/rc.d/rc.sysinit b/rc.d/rc.sysinit
index f1521cfe..2a71a273 100755
--- a/rc.d/rc.sysinit
+++ b/rc.d/rc.sysinit
@@ -156,7 +156,7 @@ fi
# Initialize USB controller and HID devices
usb=0
-if ! grep -q "nousb" /proc/cmdline 2>/dev/null ; then
+if ! grep -iq "nousb" /proc/cmdline 2>/dev/null ; then
alias=`egrep -s "^alias[[:space:]]+usb-controller[[:space:]]+" /etc/modules.conf | awk '{ print $3 }'`
if [ -n "$alias" -a "$alias" != "off" ] ; then
action "Initializing USB controller ($alias): " modprobe $alias
@@ -180,7 +180,7 @@ if [ $usb = "1" ]; then
fi
fi
-if [ -f /fastboot ] || grep -q "fastboot" /proc/cmdline 2>/dev/null ; then
+if [ -f /fastboot ] || grep -iq "fastboot" /proc/cmdline 2>/dev/null ; then
fastboot=yes
else
fastboot=
@@ -243,7 +243,7 @@ fi
# check for arguments
-if grep -i nopnp /proc/cmdline >/dev/null ; then
+if grep -iq nopnp /proc/cmdline >/dev/null 2>&1 ; then
PNP=
else
PNP=yes
@@ -313,7 +313,7 @@ if [ -n "$IN_INITLOG" ]; then
IN_INITLOG=
fi
-if ! grep -i nomodules /proc/cmdline >/dev/null && [ -f /proc/ksyms ]; then
+if ! grep -iq nomodules /proc/cmdline >/dev/null 2>&1 && [ -f /proc/ksyms ]; then
USEMODULES=y
else
USEMODULES=